summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Leonard Schmidt2015-12-18 07:12:39 +0100
committer Willy Sudiarto Raharjo2015-12-19 01:23:00 +0100
commitd52fd0dd8e34b82a49a0ffafcef8d59f30d138b7 (patch)
treeffba86b1fe1dc3cb584514bea2b1dbf3307a5c53 /misc
parent4aae39fa23939913bab9527451bd8244b3a5d420 (diff)
downloadslackbuilds-d52fd0dd8e34b82a49a0ffafcef8d59f30d138b7.tar.gz
misc/abduco: Added (session manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/abduco/README5
-rw-r--r--misc/abduco/abduco.SlackBuild94
-rw-r--r--misc/abduco/abduco.info10
-rw-r--r--misc/abduco/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/misc/abduco/README b/misc/abduco/README
new file mode 100644
index 0000000000..ed44947932
--- /dev/null
+++ b/misc/abduco/README
@@ -0,0 +1,5 @@
+abduco provides session management i.e. it allows programs to be
+run independently from their controlling terminal. That is, programs
+can be detached -- run in the background -- and then later reattached.
+Together with dvtm it provides a simpler and cleaner alternative to tmux
+or screen.
diff --git a/misc/abduco/abduco.SlackBuild b/misc/abduco/abduco.SlackBuild
new file mode 100644
index 0000000000..6e13234ace
--- /dev/null
+++ b/misc/abduco/abduco.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for abduco.
+
+# Adapted from Marcel Saegebarth's dvtm SlackBuild.
+# Copyright 2011-2015 Marcel Saegebarth <marc@mos6581.de>
+
+# Copyright 2015 Leonard Schmidt <lems@gmx.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=abduco
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}" \
+make
+make install DESTDIR=$PKG PREFIX=/usr MANPREFIX=/usr/man
+# binaries are already stripped
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/abduco/abduco.info b/misc/abduco/abduco.info
new file mode 100644
index 0000000000..92cfbe7d5a
--- /dev/null
+++ b/misc/abduco/abduco.info
@@ -0,0 +1,10 @@
+PRGNAM="abduco"
+VERSION="0.4"
+HOMEPAGE="http://www.brain-dump.org/projects/abduco/"
+DOWNLOAD="http://www.brain-dump.org/projects/abduco/abduco-0.4.tar.gz"
+MD5SUM="cc1e01b5333e36e01e058476ed3efa96"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leonard Schmidt"
+EMAIL="lems@gmx.net"
diff --git a/misc/abduco/slack-desc b/misc/abduco/slack-desc
new file mode 100644
index 0000000000..bfc78080df
--- /dev/null
+++ b/misc/abduco/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+abduco: abduco (session manager with attach/detach support)
+abduco:
+abduco: abduco provides session management i.e. it allows programs to
+abduco: be run independently from their controlling terminal. That is,
+abduco: programs can be detached -- run in the background -- and then
+abduco: later reattached. Together with dvtm it provides a simpler and
+abduco: cleaner alternative to tmux or screen.
+abduco:
+abduco: Homepage: http://www.brain-dump.org/projects/abduco/
+abduco:
+abduco: